#include <bits/stdc++.h>
using namespace std;
long long unsigned k=0;
main () {
	long long unsigned m,i,j;
	cin>>m;
	long long unsigned a[m],b[m],c[m],index;
	for(i=0;i<m;i++) cin>>a[i];
	for(i=0;i<m;i++) cin>>b[i];
	for(i=0;i<m;i++) cin>>c[i];
	for(i=0;i<m;i++) {
		for(j=0;j<m;j++) {
			if(b[j]==a[i]) {
				long long unsigned o,index=j+1;
				for(o=0;o<m;o++) if(index == c[o]) k++;	
			}
		}
	}
	cout << k;
}